### Constructor

# Panel Session new_from_variant

since: 1.4

#### Declaration [src]

    PanelSession*
    panel_session_new_from_variant (
      GVariant* variant,
      GError** error
    )

#### Description [src]

Creates a new `PanelSession` from a `GVariant`.

This creates a new `PanelSession` instance from a previous session which had been serialized to `variant`.

Available since: 1.4

#### Parameters

`variant`

  Type: `GVariant`

  A `GVariant` from panel_session_to_variant().

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `PanelSession`

A `PanelSession`.

The caller of the function takes ownership of the data, and is responsible for freeing it.